本文へスキップ

アセット一覧​

GET
/v2/assets

アセットカタログを返します。デフォルトでは listed のアセット、つまり enabled の全アセットと、Kline/ticker サービスなしで掲載されたアセットを返します。filter=enabled で /v2/klines と /v2/tickers が提供されるアセットのみ、filter=disabled で enabled でないアセット(listed を含む)、filter=all で全件を返せます。レスポンスには CoinGecko ID、enabled と listed の状態、メタデータ、派生 URL が含まれます。

認証​

bearerAuth

Required when cp_auth.enabled=true. The token must have the oracle scope.

型
HTTP (bearer)

パラメータ​

クエリパラメータ

filter

Defaults to listed.

型
string
有効な値
"listed""enabled""disabled""all"
デフォルト
"listed"

レスポンス​

Configured assets matching the requested filter.

application/json
JSON
[
  
{
  
  
"id": 1,
  
  
"symbol": "BTC",
  
  
"enabled": true,
  
  
"listed": true,
  
  
"name": "string",
  
  
"coingecko_id": "string",
  
  
"coingeckoId": "string",
  
  
"sources": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"icon_url": "string",
  
  
"iconUrl": "string",
  
  
"market_cap": 0,
  
  
"marketCap": 0,
  
  
"metadata": {
  
  
  
"name": "Bitcoin",
  
  
  
"symbol": "BTC",
  
  
  
"logo": "https://assets.coingecko.com/coins/images/1/large/bitcoin.png",
  
  
  
"description": "string",
  
  
  
"categories": [
  
  
  
  
[
  
  
  
  
  
"Layer 1 (L1)"
  
  
  
  
]
  
  
  
],
  
  
  
"date_launched": "string",
  
  
  
"dateLaunched": "string",
  
  
  
"genesis_date": "string",
  
  
  
"genesisDate": "string",
  
  
  
"address": "string",
  
  
  
"platforms": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"infinite_supply": true,
  
  
  
"infiniteSupply": true,
  
  
  
"urls": {
  
  
  
  
"website": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"technical_doc": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"technicalDoc": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"twitter": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"reddit": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"message_board": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"messageBoard": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"announcement": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"explorer": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"source_code": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"sourceCode": [
  
  
  
  
  
"string"
  
  
  
  
]
  
  
  
}
  
  
},
  
  
"ath": 0,
  
  
"ath_change_percentage": 0,
  
  
"athChangePercentage": 0,
  
  
"ath_date": "string",
  
  
"athDate": "string",
  
  
"urls": {
  
  
  
"coingecko": "https://www.coingecko.com/en/coins/bitcoin",
  
  
  
"website": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"technical_doc": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"technicalDoc": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"twitter": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"reddit": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"message_board": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"messageBoard": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"announcement": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"explorer": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"source_code": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"sourceCode": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
}
]

Playground​

認証
変数
キー
値

サンプル​